liborigin 2.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
Origin::Function Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | FunctionType { Normal , Polar }

## Public Member Functions
| Function (const string &_name="", unsigned int _index=0)

## Public Attributes
double | begin
double | end
string | formula
unsigned int | index
string | name
int | totalPoints
FunctionType | type

## Member Enumeration Documentation

## ◆ FunctionType

enum Origin::Function::FunctionType

Enumerator
Normal |
Polar |

## Constructor & Destructor Documentation

## ◆ Function()

Origin::Function::Function | ( | const string & | _name = `""`,
|  | unsigned int | _index = `0`
| ) |  |
| inline

## Member Data Documentation

## ◆ begin

double Origin::Function::begin

## ◆ end

double Origin::Function::end

## ◆ formula

string Origin::Function::formula

## ◆ index

unsigned int Origin::Function::index

## ◆ name

string Origin::Function::name

## ◆ totalPoints

int Origin::Function::totalPoints

## ◆ type

FunctionType Origin::Function::type

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h